Update character properties.
curl --request PUT \
--url https://api.equos.ai/v3/characters/{id} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"name": "<string>",
"faceId": "<string>",
"voiceId": "<string>",
"brainId": "<string>",
"knowledgeBaseId": "<string>",
"search": true,
"elevenlabsAgentId": "<string>"
}
'import requests
url = "https://api.equos.ai/v3/characters/{id}"
payload = {
"name": "<string>",
"faceId": "<string>",
"voiceId": "<string>",
"brainId": "<string>",
"knowledgeBaseId": "<string>",
"search": True,
"elevenlabsAgentId": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
faceId: '<string>',
voiceId: '<string>',
brainId: '<string>',
knowledgeBaseId: '<string>',
search: true,
elevenlabsAgentId: '<string>'
})
};
fetch('https://api.equos.ai/v3/characters/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"organizationId": "<string>",
"name": "<string>",
"livekitIdentity": "<string>",
"search": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"client": "<string>",
"elevenlabsAgentId": "<string>",
"faceId": "<string>",
"voiceId": "<string>",
"brainId": "<string>",
"knowledgeBaseId": "<string>",
"face": {
"id": "<string>",
"identity": "tommy",
"organizationId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"client": "<string>",
"description": "<string>",
"thumbnailUrl": "<string>",
"referenceImgUrl": "<string>"
},
"voice": {
"id": "<string>",
"organizationId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"client": "<string>",
"instructions": "<string>"
},
"brain": {
"id": "<string>",
"organizationId": "<string>",
"instructions": "<string>",
"greetingMessage": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"client": "<string>"
},
"knowledgeBase": {
"id": "<string>",
"organizationId": "<string>",
"name": "<string>",
"description": "<string>",
"documents": [
{
"id": "<string>",
"knowledgeBaseId": "<string>",
"name": "<string>",
"description": "<string>",
"size": 123,
"status": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"client": "<string>"
}
}Character
Update character properties.
PUT
/
v3
/
characters
/
{id}
Update character properties.
Authorizations
Path Parameters
Equos Character ID
Body
application/json
Response
200 - application/json
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I